<template>
<div>
  <td scope="row" colspan="1">Por Solo   
     <td class="font-weight-bold">$<span>{{totalPrecio}}</span></td>
         <td>
        <button class="btn hero-btn bt-sm" id="vaciar-carrito" >
            Confirmar
        </button>
         <button class="btn danger-btn" id="vaciar-carrito" @click="vaciar">
            Vaciar
        </button>
    </td>
    </td>  
   </div>
</template>

<script>
import { computed } from 'vue'
import {useStore} from 'vuex'
export default {
    setup(){
        const store = useStore()
        const totalCantidad = computed(() => store.getters.totalCantidad)
        const totalPrecio = computed(() => store.getters.totalPrecio)
        const vaciar = () => {store.commit('setVaciar')}

        return {totalCantidad, totalPrecio, vaciar}
    }
}
</script>
<style >
.hero-btn {
     display: inline-block;
     text-decoration: none;
     color: rgb(0, 0, 0);
     border: 1px solid #fff;
     padding: 8px;
     font-size: 15px;
     background: rgba(0, 0, 0, .3);
     position: relative;
     cursor: pointer;
}

.hero-btn:hover {
     border: 1px solid #000000;
     background: #37b89a;
     transition: 1s;
}
.danger-btn {
     display: inline-block;
     text-decoration: none;
     color: rgb(0, 0, 0);
     border: 1px solid #fff;
     padding: 8px;
     font-size: 15px;
     background: rgba(0, 0, 0, .3);
     position: relative;
     cursor: pointer;
}

.danger-btn:hover {
     border: 1px solid #000000;
     background: #da5454;
     transition: 1s;
}
      
</style>